class_name SpeedUpgrade extends "res://scenes/upgrade/upgrade.gd"

@export var damage: int = 1

func _init() -> void:
	upgradeName = "Speed Upgrade"
	description = "Increase speed by 10%"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().addSpeedMult(1.1)
